﻿<%@ Page Title="Sessions" Language="C#" Theme="RDMS" MasterPageFile="~/LoggedSection.master" AutoEventWireup="true"
	CodeBehind="SessionsTreeView.aspx.cs" Inherits="Devolutions.RemoteDesktopManager.Server.Secure.SessionsTreeView" %>

<asp:Content runat="server" ContentPlaceHolderID="SectionLeftMenu">
    <ul class="leftmenu">
    <li><asp:HyperLink ID="manageSession" runat="server" CssClass="manageSession" ToolTip="Add Session">Add Session</asp:HyperLink></li>
    </ul>
</asp:Content>

<asp:Content ID="head" ContentPlaceHolderID="headcontent" runat="server">

	<script src="<%= this.ResolveUrl("~/Scripts/jquery.cookie.js") %>" type="text/javascript">
	</script>

	<script src="<%= this.ResolveUrl("~/Scripts/jquery.jstree.js") %>" type="text/javascript">
	</script>

	<script src="<%= this.ResolveUrl("~/Scripts/jquery.hotkeys.js") %>" type="text/javascript">
	</script>

	<script src="<%= this.ResolveUrl("~/Scripts/loadtree.js") %>" type="text/javascript">
	</script>

	<script type="text/javascript">
		$(document).ready(function()
		{
			// Adjust main div height

			$(".manageAttach").fancybox({
				'type': 'iframe',
				'scrolling': 'no',
				'titleShow': true,
				'title': $(this).title,
				'width': 450,
				'height': 100,
				'autoScale': false,
				'transitionIn': 'elastic',
				'transitionOut': 'fade',
				'speedIn': 500,
				'speedOut': 500,
				'easingIn': 'easeOutQuint',
				'easingOut': 'none'
			}).click(function()
			{
				$.fancybox.showActivity();
			});
		});

		/* Resize iframe */

		function resizeIframe(frame)
		{
			var iFrameContentHeight = $(frame).contents().find("#popupHolder").height();

			if (iFrameContentHeight > 0) {
				$(frame).animate({
					height: iFrameContentHeight
				}, 500, function()
				{
					 // Animation complete.
				});
			}
		} 
	</script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="maincontent" runat="server">
	<div style="width: 99.4%; position: relative" >
			<div id="treeholder">
				<div class="topgroup">Sessions</div>
				<a title="Refresh" id="refresh">Refresh</a>
				<div id="sessionsTree">
				</div>
			</div>
            
			<div id="detailstab" >
            
				<ul class="css-tabs">
					<li>
						<a class="current" href="#" id="connection">Description</a></li>
					<li>
						<a href="#" runat="server" id="attachments" style="display: none;">Attachments</a></li>
					<li>
						<a href="#" runat="server"  id="logs" style="display: none;">Log</a></li>
				</ul>
				<div id="treenodedetails">
					<div style="display: none;">
						<ul class="linkBox" style="display: none;">
							<li>
								<a class="button small blue" id="editsession" runat="server" title="Edit Session">Edit Session</a></li>
							<li>
								<a class="button small blue" id="deletesession" runat="server" title="Delete Session">Delete Session</a></li>
							<li>
								<a class="button small blue" id="connectsession" title="Connect to Session">Connect to Session</a></li>
						</ul>
						<div class="white grid" style="margin-right: 152px; margin-bottom: 0; padding: 5px; position: inherit; width: inherit;
							min-height: 190px;">
							<h3 class="WebBrowser" id="sessiontitle">
							</h3>
							<span id="sessiongroup"><strong>Security group</strong>
								<p></p>
							</span><span id="sessiondescription"><strong>Description</strong>
								<p></p>
							</span>
						</div>
					</div>
				</div>
				<div id="attachmentsdetails" style="display: none; overflow: auto;">
					<p style="margin-top: 3px;">
					<asp:HyperLink ID="HyperLink1" NavigateUrl="~/Secure/Editors/Attachment.aspx" runat="server" ToolTip="Adding an attachment"
						CssClass="button blue smaller manageAttach">Add</asp:HyperLink>
					</p>
					<iframe style="width: 100%;" scrolling="no" frameborder="0" hspace="0" name="attachments-frame"	id="attachments-frame">
					</iframe>
				</div>
				<div id="logsdetails" style="display: none; overflow: auto;">
					<iframe style="display: inline-block; min-height: 488px; overflow: auto; width: 100%;" scrolling="no" frameborder="0" hspace="0" name="logs-frame"	id="logs-frame">
					</iframe>
				</div>
            </div>
		</div>
</asp:Content>