<%@ Page Title="Users infos" Language="C#" Theme="RDMS" MasterPageFile="~/LoggedSection.master" AutoEventWireup="true" CodeBehind="UserInfos.aspx.cs" Inherits="Devolutions.RemoteDesktopManager.Server.Secure.Users" %>

<asp:Content runat="server" ContentPlaceHolderID="SectionImage">
    <asp:Image ID="imgSection" CssClass="imgSection" Width="130px" ImageUrl="~/Images/users_big.png" runat="server" />
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="SectionLeftMenu">
    <ul class="leftmenu">
    <li><asp:HyperLink CssClass="addUsers" ID="butAddUserInfo" NavigateUrl="~/Secure/Editors/UserInfo.aspx" runat="server" title="Add User">Add User</asp:HyperLink></li>
    <li><asp:HyperLink CssClass="disabled" Enabled="false" ID="EditSelectedRow" runat="server" title="Edit selected user">Edit User</asp:HyperLink></li>
    <li><asp:LinkButton CssClass="disabled" ID="DeleteSelectedRow" OnClick="DeleteSelectedRow_OnClick" runat="server" title="Delete selected user">Delete User</asp:LinkButton></li>
    </ul>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="maincontent" runat="server">
        <div class="content">
            <asp:GridView ID="gdvUserInfos" SkinID="gridviewSkin" runat="server" 
                          AutoGenerateColumns="False" DataKeyNames="ID, Name" OnSelectedIndexChanged="gdvUserInfos_SelectedIndexChanged"
                          DataSourceID="odsGetUserInfos" EmptyDataText="<div class='noData'>No User! </div>">
                <Columns>
                    <asp:TemplateField HeaderText="" HeaderStyle-Width="5px">
                        <ItemTemplate>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="Name" HeaderText="Username" SortExpression="Name" />
                        <asp:BoundField DataField="ID" HeaderText="ID" HeaderStyle-CssClass="hide" ItemStyle-CssClass="hide" />
                    <asp:BoundField DataField="FullName" HeaderText="Full Name" SortExpression="FullName" />
                        
                    <asp:TemplateField HeaderText="Is Administrator" SortExpression="IsAdministrator">
                        <ItemTemplate>
                            <asp:Image ID="Image1" ImageUrl="~/images/check.png" Visible='<%#this.Eval("IsAdministrator")%>' runat="server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                        
                    <asp:TemplateField HeaderText="Is Enabled" SortExpression="IsActive">
                        <ItemTemplate>
                            <asp:Image ID="Image3" ImageUrl="~/images/check.png" Visible='<%#this.Eval("IsEnabled")%>' runat="server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <asp:ObjectDataSource ID="odsGetUserInfos" runat="server" SelectMethod="GetUserInfos" TypeName="Devolutions.RemoteDesktopManager.Server.UserManager" >
                <SelectParameters>
                    <asp:SessionParameter Name="dataSourceId" SessionField="DATASOURCE_ID" Type="String" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </div>
</asp:Content>